Multivariate Pattern Analysis in Python

# mvpa2.clfs.meta.ClassifierCombiner

class `mvpa2.clfs.meta.``ClassifierCombiner`(clf, variables=None)

  Provides a decision using training a classifier on predictions/estimates

  TODO: implement

  Notes

  Available conditional attributes:

  - `predictions+`: Trained predictions

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `descr` | Description of the object if any

  Methods

  `__call__`(clfs, dataset) |
  `train`(clfs, dataset) | PredictionsCombiner might need to be trained

  Initialize `ClassifierCombiner`

  Parameters:

  clf : Classifier

  > Classifier to train on the predictions

  variables : list of str

  > List of conditional attributes stored in ‘combined’ classifiers, which to use as features for training this classifier

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  Attributes

  `descr` | Description of the object if any

  Methods

  `__call__`(clfs, dataset) |
  `train`(clfs, dataset) | PredictionsCombiner might need to be trained